--- a/gbversion.h.qmake.in
+++ b/gbversion.h.qmake.in
@@ -14,5 +14,5 @@
 #else
 #define VERSION \"$${GB.MAJOR}.$${GB.MINOR}.$${GB.MICRO}$${GB.PACKAGE_RELEASE}\"
 constexpr char kVersionSHA[] = \"$${GB.SHA}\";
-#define WEB_DOC_DIR \"https://www.gpsbabel.org/htmldoc-$${DOCVERSION}\"
+#define WEB_DOC_DIR \"file:///usr/share/doc/gpsbabel/html\"
 #endif
--- a/testo.d/serialization.test
+++ b/testo.d/serialization.test
@@ -7,7 +7,7 @@
 # the GUI and the document.
 # We do a compare_nole as specific whitespace is part of deserialization.
 gpsbabel -^3 > ${TMPDIR}/format3.txt
-sed 's,https://www.gpsbabel.org/htmldoc-.[^/]*/,https://www.gpsbabel.org/WEB_DOC_DIR/,' ${TMPDIR}/format3.txt >${TMPDIR}/format3.fiddled.txt
+sed 's,file:///usr/share/doc/gpsbabel/html/,https://www.gpsbabel.org/WEB_DOC_DIR/,' ${TMPDIR}/format3.txt >${TMPDIR}/format3.fiddled.txt
 compare_nole ${REFERENCE}/format3.txt ${TMPDIR}/format3.fiddled.txt
 gpsbabel -^2 > ${TMPDIR}/format2.txt
 compare_nole ${REFERENCE}/format2.txt ${TMPDIR}/format2.txt
@@ -16,7 +16,7 @@ compare_nole ${REFERENCE}/format1.txt ${TMPDIR}/format1.txt
 gpsbabel -^0 > ${TMPDIR}/format0.txt
 compare_nole ${REFERENCE}/format0.txt ${TMPDIR}/format0.txt
 gpsbabel -%1 > ${TMPDIR}/filter1.txt
-sed 's,https://www.gpsbabel.org/htmldoc-.[^/]*/,https://www.gpsbabel.org/WEB_DOC_DIR/,' ${TMPDIR}/filter1.txt >${TMPDIR}/filter1.fiddled.txt
+sed 's,file:///usr/share/doc/gpsbabel/html/,https://www.gpsbabel.org/WEB_DOC_DIR/,' ${TMPDIR}/filter1.txt >${TMPDIR}/filter1.fiddled.txt
 compare_nole ${REFERENCE}/filter1.txt ${TMPDIR}/filter1.fiddled.txt
 gpsbabel -%0 > ${TMPDIR}/filter0.txt
 compare_nole ${REFERENCE}/filter0.txt ${TMPDIR}/filter0.txt
--- a/tools/make_gpsbabel_org.sh
+++ b/tools/make_gpsbabel_org.sh
@@ -4,15 +4,12 @@ set -ex
 web=$1
 docversion=$2
 
-mkdir -p "${web}/htmldoc-${docversion}"
+mkdir -p "html"
 perl xmldoc/makedoc
 xmlwf xmldoc/readme.xml #check for well-formedness
 xmllint --noout --valid xmldoc/readme.xml #validate
 xsltproc \
-  --stringparam base.dir "${web}/htmldoc-${docversion}/" \
+  --stringparam base.dir "html" \
   --stringparam root.filename "index" \
   xmldoc/babelmain.xsl \
   xmldoc/readme.xml
-tools/fixdoc "${web}/htmldoc-${docversion}" "GPSBabel ${docversion}:"
-tools/mkcapabilities "${web}" "${web}/htmldoc-${docversion}"
-cp gpsbabel.pdf "${web}/htmldoc-${docversion}/gpsbabel-${docversion}.pdf"
--- a/xmldoc/babelmain.xsl
+++ b/xmldoc/babelmain.xsl
@@ -45,13 +45,11 @@
     <xsl:apply-imports/>
   </xsl:param>
 
-  {extends file="main.tpl"}
     <xsl:call-template name="html.head">
       <xsl:with-param name="prev" select="$prev"/>
       <xsl:with-param name="next" select="$next"/>
     </xsl:call-template>
       <xsl:call-template name="body.attributes"/>
-  {block name=body}{literal}
                       <xsl:call-template name="user.header.navigation"/>
 
                       <xsl:call-template name="header.navigation">
@@ -73,7 +71,6 @@
                       </xsl:call-template>
 
                       <xsl:call-template name="user.footer.navigation"/>
-      {/literal}{/block}
   <xsl:value-of select="$chunk.append"/>
 </xsl:template>
 
--- a/xmldoc/gpsbabel_man.xml
+++ b/xmldoc/gpsbabel_man.xml
@@ -127,7 +127,7 @@ or as the backend for other tools. </para>
         </listitem>
       </varlistentry>
     </variablelist>
-    <para>Lists of filters and formats are given in the doc at https://www.gpsbabel.org. </para>
+    <para>Lists of filters and formats are given in the doc at /usr/share/doc/gpsbabel/. </para>
   </refsect1>
   <refsect1>
     <title>See Also</title>
